import request from '@/utils/httpRequest'

export default class ReportCancellApplyService {
  findList (params) {
    return request({
      url: '/cwProjectReportCancell/findList',
      method: 'get',
      params: params
    })
  }
  list (params) {
    return request({
      url: '/cwProjectReportCancell/list',
      method: 'get',
      params: params
    })
  }
  saveForm (inputForm) {
    return request({
      url: `/cwProjectReportCancell/saveForm`,
      method: 'post',
      data: inputForm
    })
  }
  queryById (id) {
    return request({
      url: '/cwProjectReportCancell/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (data) {
    return request({
      url: '/cwProjectReportCancell/updateStatusById',
      method: 'post',
      data: data
    })
  }
  delete (ids) {
    return request({
      url: '/cwProjectReportCancell/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  queryByNo (no) {
    return request({
      url: '/cwProjectReportCancell/queryByNo',
      method: 'get',
      params: {no: no}
    })
  }
}
